Package org.apache.calcite.avatica

## Class MetaImpl.MetaFunctionColumn

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaFunctionColumn

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaFunctionColumn
    extends java.lang.Object

Metadata describing a function column.

### Field Summary

Fields
`java.lang.Integer` `charOctetLength`
`java.lang.String` `columnName`
`short` `columnType`
`int` `dataType`
`java.lang.String` `functionCat`
`java.lang.String` `functionName`
`java.lang.String` `functionSchem`
`java.lang.String` `isNullable`
`java.lang.Integer` `length`
`short` `nullable`
`int` `ordinalPosition`
`java.lang.Integer` `precision`
`java.lang.Short` `radix`
`java.lang.String` `remarks`
`java.lang.Short` `scale`
`java.lang.String` `specificName`
`java.lang.String` `typeName`

### Constructor Summary

Constructors

`MetaFunctionColumn​(java.lang.String functionCat, java.lang.String functionSchem, java.lang.String functionName, java.lang.String columnName, short columnType, int dataType, java.lang.String typeName, java.lang.Integer precision, java.lang.Integer length, java.lang.Short scale, java.lang.Short radix, short nullable, java.lang.Integer charOctetLength, int ordinalPosition, java.lang.String isNullable, java.lang.String specificName)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### functionCat

    public final java.lang.String functionCat

#### functionSchem

    public final java.lang.String functionSchem

#### functionName

    public final java.lang.String functionName

#### columnName

    public final java.lang.String columnName

#### columnType

    public final short columnType

#### dataType

    public final int dataType

#### typeName

    public final java.lang.String typeName

#### precision

    public final java.lang.Integer precision

#### length

    public final java.lang.Integer length

#### scale

    public final java.lang.Short scale

#### radix

    public final java.lang.Short radix

#### nullable

    public final short nullable

#### remarks

    public final java.lang.String remarks

#### charOctetLength

    public final java.lang.Integer charOctetLength

#### ordinalPosition

    public final int ordinalPosition

#### isNullable

    public final java.lang.String isNullable

#### specificName

    public final java.lang.String specificName

### Constructor Detail

#### MetaFunctionColumn

    public MetaFunctionColumn​(java.lang.String functionCat,
                              java.lang.String functionSchem,
                              java.lang.String functionName,
                              java.lang.String columnName,
                              short columnType,
                              int dataType,
                              java.lang.String typeName,
                              java.lang.Integer precision,
                              java.lang.Integer length,
                              java.lang.Short scale,
                              java.lang.Short radix,
                              short nullable,
                              java.lang.Integer charOctetLength,
                              int ordinalPosition,
                              java.lang.String isNullable,
                              java.lang.String specificName)